package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImMessage;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天群聊消息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImMessageMapper extends BaseDaoMapper<TourImMessage> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImMessageList 新增对象列表。
     */
    void insertList(List<TourImMessage> tourImMessageList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImMessageFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImMessage> getTourImMessageList(
            @Param("tourImMessageFilter") TourImMessage tourImMessageFilter, @Param("orderBy") String orderBy);

    List<TourImMessage> getMessageByGroupId(@Param("messageId")Long messageId,@Param("pageSize") Integer pageSize, @Param("groupId") Long groupId, @Param("searchMessage") String searchMessage ,@Param("userId") Long userId);

    Integer getMessageByGroupIdCount(@Param("messageId")Long messageId,@Param("pageSize") Integer pageSize, @Param("groupId") Long groupId, @Param("searchMessage") String searchMessage ,@Param("userId") Long userId);
}
