package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourProjectGroupPurchaseRebate;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.*;

/**
 * 拼团返利记录数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourProjectGroupPurchaseRebateMapper extends BaseDaoMapper<TourProjectGroupPurchaseRebate> {

    /**
     * 批量插入对象列表。
     *
     * @param tourProjectGroupPurchaseRebateList 新增对象列表。
     */
    void insertList(List<TourProjectGroupPurchaseRebate> tourProjectGroupPurchaseRebateList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourProjectGroupPurchaseRebateFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourProjectGroupPurchaseRebate> getTourProjectGroupPurchaseRebateList(
            @Param("tourProjectGroupPurchaseRebateFilter") TourProjectGroupPurchaseRebate tourProjectGroupPurchaseRebateFilter, @Param("orderBy") String orderBy);

    @Select("select sum(price) as total_rebate_amount from tour_project_group_purchase_rebate where user_id = #{userId}")
    BigDecimal getTotalRebateAmount(@Param("userId") Long userId);

    @Select("select user_id, sum(price) as price from tour_project_group_purchase_rebate where group_purchase_progress_id = #{groupId} group by user_id")
    List<TourProjectGroupPurchaseRebate> getUserRebateAmount(@Param("groupId") Long groupId);
}
