package com.tourism.webadmin.back.dto;

import com.tourism.common.core.base.model.BaseModel;
import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 关注粉丝管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "关注粉丝管理Dto对象")
@Data
public class TourFansDto extends BaseModel {

    /**
     * 粉丝表id。
     */
    @Schema(description = "粉丝表id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，粉丝表id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 被关注人id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "被关注人id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，被关注人id不能为空！")
    private Long attentionId;
}
