package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 聊天去聊邀请VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "聊天去聊邀请VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourImGroupInvitationVo extends BaseVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 聊天群组id。
     */
    @Schema(description = "聊天群组id")
    private String groupId;

    /**
     * 邀请人id。
     */
    @Schema(description = "邀请人id")
    private String inviter;

    /**
     * 被邀请人id。
     */
    @Schema(description = "被邀请人id")
    private String invitee;

    /**
     * 邀请状态 1待确认 2同意 3不同意。
     */
    @Schema(description = "邀请状态 1待确认 2同意 3不同意")
    private Integer status;

    /**
     * groupId 字典关联数据。
     */
    @Schema(description = "groupId 字典关联数据")
    private Map<String, Object> groupIdDictMap;

    /**
     * inviter 字典关联数据。
     */
    @Schema(description = "inviter 字典关联数据")
    private Map<String, Object> inviterDictMap;

    /**
     * invitee 字典关联数据。
     */
    @Schema(description = "invitee 字典关联数据")
    private Map<String, Object> inviteeDictMap;

    /**
     * status 全局字典关联数据。
     */
    @Schema(description = "status 全局字典关联数据")
    private Map<String, Object> statusDictMap;
}
