package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 聊天群聊类型管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "聊天群聊类型管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourImGroupTypeVo extends BaseVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 父级id。
     */
    @Schema(description = "父级id")
    private String parentId;

    /**
     * 类型名称。
     */
    @Schema(description = "类型名称")
    private String typeName;

    /**
     * 类型图标。
     */
    @Schema(description = "类型图标")
    private String typeIcon;

    /**
     * 是否启用 0否 1是。
     */
    @Schema(description = "是否启用")
    private Integer enable;

    /**
     * parentId 字典关联数据。
     */
    @Schema(description = "parentId 字典关联数据")
    private Map<String, Object> parentIdDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;
}
