package com.tourism.webadmin.strategy.dto;

import com.tourism.webadmin.app.website.dto.MessageDTO;
import com.tourism.webadmin.back.vo.TourUserVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
/**
 * FocusDTO 类。
 * <p>
 * 描述：关注
 *
 * @author huangwenwen
 * @date 2025/1/13
 */


@Data
public class FocusDTO extends MessageDTO  {

    /**
     * 关注状态。0:未关注 1:已关注 2:互相关注 3:自己 4:被关注
     */
    @Schema(description = "关注状态。")
    private int attentionStatus ;

    /**
     * 发起关注的人的信息。
     */
    @Schema(description = "发起关注的人的信息。")
    private TourUserVo tourUserVo ;


}
